import '../provider/data.dart';
import '../utils/board_animate.dart';
import '../utils/board_utils.dart';

class GameUtils {

  static void resetGame(Data myProvider) {
    myProvider.updateGameIsRunning(false);
  }

  static void startGame(Data myProvider) {
    print('Starting game: ' + myProvider.parameterSize + ' - ' + myProvider.parameterLevel);
    myProvider.updateParameterSize(myProvider.parameterSize);
    myProvider.updateMinesCount(BoardUtils.getMinesCount(myProvider.sizeHorizontal, myProvider.sizeVertical, myProvider.parameterLevel));
    myProvider.updateGameIsRunning(true);
    BoardUtils.createInitialEmptyBoard(myProvider);
    BoardAnimate.startAnimation(myProvider, 'start');
  }

}
